#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-9mqK64UxEuy11axeLO8nOU
key:                  ghcide-2.0.0.0-9mqK64UxEuy11axeLO8nOU
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  e077edda9c1418f9c317dcbfe45ad2ca
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-9mqK64UxEuy11axeLO8nOU
depends:
    Diff-0.4.1-644Hl6gJ6c41D4iXUJ55VB
    Glob-0.10.2-6meEO4F4YsQ4JinOiFooJr
    aeson-2.1.2.1-Ex7WnNUT1auEGSF1Md5zyM
    aeson-pretty-0.8.10-1uJm1j28f5UIXUnDLhHqi array-0.5.4.0
    async-2.2.5-KSZIoACaSMlHctQ7vOTAKz base-4.17.2.1
    base16-bytestring-1.0.2.0-IoYBHRVZawc2xOK7jNUhg3 binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-71BYPVg6lDO17X4ot5DP2
    co-log-core-0.3.2.4-Dby9g7CmDiZ8wgTq02JnDk containers-0.6.7
    cryptohash-sha1-0.11.101.0-4YuN2zTaN3U6hY6XNFWo84
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-H5a23o4qTkLCT5HSOH4wpu
    dependent-sum-0.7.2.0-4VPFoGhmSDLBPH5o6hCcZu directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-CgQBQoATutn3FdbmyK9XZG exceptions-0.10.5
    extra-1.7.16-BgNJJwZ4wAmKWLSYOLNV8h filepath-1.4.2.2
    fingertree-0.1.5.0-CpWLEc9CahTDMV8AbOPVFu
    focus-1.0.3.2-KHtU7EjRr8w9q6HeWa34D7 ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-CIb15BfWdThL1PB3kDBmyY
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-Ih8haF4DkxQFxC4OSeRgeF
    hashable-1.4.4.0-G3df7eBPFu1LRujEcYqf5c
    hie-bios-0.12.0-8pt4etST2yE5wB8efCE6jO
    hie-compat-0.3.0.0-CbBComUrkWGfIGRN5OUf4
    hiedb-0.4.3.0-Am5TbsrVJPpJYsno6qmCM0
    hls-graph-2.0.0.0-4MI7ziIv0CU5xI61j3TQwT
    hls-plugin-api-2.0.0.0-2wOGvVnkqhWI6va0WcbmBZ
    implicit-hie-0.1.2.7-Li2Vow9f7jZCjEmCQuWXaz
    implicit-hie-cradle-0.5.0.1-GSKLjz9xs9ELoxLX8ZCXIh
    lens-5.2.3-3fSsMRucgnZ99PomxyWs7a
    list-t-1.0.5.5-KZShfLzEsh8CRK6PAHuVAo
    lsp-1.6.0.0-JytyfPtRXjzE8uTsBKsXUD
    lsp-types-1.6.0.1-3KtFoSZVmDe9bnTJ24v4Xf mtl-2.2.2
    opentelemetry-0.8.0-9P09ObwJsBUC1K7QkCGG9
    optparse-applicative-0.17.1.0-3m15PZJ9R8tLZfnW85Yn0z
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-5dDyiINWv3JvkTPn41dcY
    prettyprinter-ansi-terminal-1.1.3-CrDoL6rlO20GPbWZEwOwP7
    random-1.2.1.2-23MFWqKwy7yBKL8EDiRtc8
    regex-tdfa-1.3.2.3-1KOOZGaJQ2ADpVIAJeQf05
    safe-exceptions-0.1.7.4-2jateiMay5w9V77nHp5Kbp
    sorted-list-0.2.3.1-76wcihfPSoCdIRrEWVtiI
    sqlite-simple-0.4.19.0-9wmvigN6PNtF9Yf0mf1eEg stm-2.5.1.0
    stm-containers-1.2.1.1-4hwVvgqd9gHFa571i3W4Mx
    syb-0.7.2.4-2WyT1tb84OB9oN2LvYBzxO text-2.0.2
    text-rope-0.3-K9CQYu0sFOY5qYZy2i1wv5 time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-1bNFGP9YK2pAXU0ewWN42q
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-EFINKuAnn2VCsrMAVqSNI6
    vector-0.13.1.0-KSX0XQMPS0MKwOGi5hYJAY

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

